import React from 'react'
import ReactDOM from 'react-dom/client'
import { createBrowserRouter, RouterProvider } from 'react-router-dom'
import App from './App.tsx'
import './index.css'
import Root from './routes/root.tsx'
import ErrorPage from './error-page.tsx'

const router = createBrowserRouter([
  {
    path: "/",
    element: < Root />,
    errorElement: <ErrorPage />
  },
]);


ReactDOM.createRoot(document.getElementById('root')!).render(
  <React.StrictMode>
    <App />
  </React.StrictMode>,
)
